/**
 * Represents event arguments for FDC3 MessageRecived
*/
var StockChangedEventArgs = /** @class */ (function () {
    function StockChangedEventArgs() {
    }
    Object.defineProperty(StockChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    StockChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    StockChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(StockChangedEventArgs.prototype, "addedSymbols", {
        /**
         * Gets array of added stock symbols
        */
        get: function () {
            return this.i.addedSymbols;
        },
        set: function (v) {
            this.i.addedSymbols = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(StockChangedEventArgs.prototype, "removedSymbols", {
        /**
         * Gets array of removed stock symbols
        */
        get: function () {
            return this.i.removedSymbols;
        },
        set: function (v) {
            this.i.removedSymbols = v;
        },
        enumerable: true,
        configurable: true
    });
    return StockChangedEventArgs;
}());
export { StockChangedEventArgs };
